// LoRa configuration settings

#define RF_FREQUENCY            868000000  // Hz
#define TX_OUTPUT_POWER         14         // 14 dBm
#define LORA_BANDWIDTH          125000     // LoRa default, details in SX1276::BandwidthMap
#define LORA_SPREADING_FACTOR   LORA_SF7
#define LORA_CODINGRATE         LORA_ERROR_CODING_RATE_4_5

#define LORA_PREAMBLE_LENGTH    8          // Same for Tx and Rx
#define LORA_SYMBOL_TIMEOUT     5          // Symbols
#define LORA_FIX_LENGTH_PAYLOAD_ON  false
#define LORA_FHSS_ENABLED       false  
#define LORA_NB_SYMB_HOP        4     
#define LORA_IQ_INVERSION_ON    false
#define LORA_CRC_ENABLED        true
#define RX_TIMEOUT_VALUE    5000           // in ms

// Pin Map edit with care

#define USBRX           PA_10
#define USBTX           PA_9

#define LED             PA_5
#define TX_IND          PC_2

#define LORA_SPI_MOSI   PB_15
#define LORA_SPI_MISO   PB_14
#define LORA_SPI_SCLK   PB_13
#define LORA_CS         PB_12
#define LORA_RESET      PB_10
#define LORA_DIO0       PB_11
#define LORA_DIO1       PC_13
#define LORA_DIO2       PB_9
#define LORA_DIO3       PB_4
#define LORA_DIO4       PB_3
#define LORA_DIO5       PA_15

